Bug 1282132 - Review Request: gap-pkg-gpd - Groupoids, group graphs, and groupoid graphs
Review Request: gap-pkg-gpd - Groupoids, group graphs, and groupoid graphs
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Lody
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-14 20:15 EST by Jerry James
Modified: 2015-11-30 16:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-30 16:21:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jerry James 2015-11-14 20:15:11 EST
Spec URL: https://jjames.fedorapeople.org/gap-pkg-gpd/gap-pkg-gpd.spec
SRPM URL: https://jjames.fedorapeople.org/gap-pkg-gpd/gap-pkg-gpd-1.34-1.fc24.src.rpm
Fedora Account System Username: jjames
Description: The Gpd package provides functions for computation with finite groupoids and their morphisms.

The first part is concerned with the standard constructions for connected groupoids, and for groupoids with more than one component. Groupoid morphisms are also implemented, and recent work includes the implementation of automorphisms of a finite, connected groupoid: by permutation of the objects; by automorphism of the root group; and by choice of rays to each object. The automorphism group of such a groupoid is also computed, together with an isomorphism of a quotient of permutation groups.

The second part implements graphs of groups and graphs of groupoids. A graph of groups is a directed graph with a group at each vertex and with isomorphisms between subgroups on each arc. This construction enables normal form computations for free products with amalgamation, and for HNN extensions, when the vertex groups come with their own rewriting systems.
Comment 1 Jens Lody 2015-11-20 17:14:39 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later)", "Unknown or generated". 88 files have
     unknown license. Detailed output of licensecheck in
     /home/jens/reviews/1282132-gap-pkg-gpd/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[+]: Final provides and requires are sane (see attachments).
[+]: Package functions as described.
[+]: Latest version is packaged.
[+]: Package does not include license text files separate from upstream.
[+]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[+]: Package should compile and build into binary rpms on all supported
     architectures.
[+]: %check is present and all tests pass.
[+]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: gap-pkg-gpd-1.34-1.fc24.noarch.rpm
          gap-pkg-gpd-1.34-1.fc24.src.rpm
gap-pkg-gpd.noarch: W: spelling-error Summary(en_US) Groupoids -> Groupies
gap-pkg-gpd.noarch: W: spelling-error Summary(en_US) groupoid -> grouping
gap-pkg-gpd.noarch: W: spelling-error %description -l en_US groupoids -> groupies
gap-pkg-gpd.noarch: W: spelling-error %description -l en_US morphisms -> morph isms, morph-isms, isomorphic
gap-pkg-gpd.noarch: W: spelling-error %description -l en_US Groupoid -> Grouping
gap-pkg-gpd.noarch: W: spelling-error %description -l en_US automorphisms -> anthropomorphism
gap-pkg-gpd.noarch: W: spelling-error %description -l en_US groupoid -> grouping
gap-pkg-gpd.noarch: W: spelling-error %description -l en_US automorphism -> metamorphism
gap-pkg-gpd.noarch: W: spelling-error %description -l en_US isomorphism -> isomorphic, metamorphism, sophism
gap-pkg-gpd.noarch: W: spelling-error %description -l en_US isomorphisms -> isomorphic, metamorphism
gap-pkg-gpd.noarch: W: only-non-binary-in-usr-lib
gap-pkg-gpd.src: W: spelling-error Summary(en_US) Groupoids -> Groupies
gap-pkg-gpd.src: W: spelling-error Summary(en_US) groupoid -> grouping
gap-pkg-gpd.src: W: spelling-error %description -l en_US groupoids -> groupies
gap-pkg-gpd.src: W: spelling-error %description -l en_US morphisms -> morph isms, morph-isms, isomorphic
gap-pkg-gpd.src: W: spelling-error %description -l en_US Groupoid -> Grouping
gap-pkg-gpd.src: W: spelling-error %description -l en_US automorphisms -> anthropomorphism
gap-pkg-gpd.src: W: spelling-error %description -l en_US groupoid -> grouping
gap-pkg-gpd.src: W: spelling-error %description -l en_US automorphism -> metamorphism
gap-pkg-gpd.src: W: spelling-error %description -l en_US isomorphism -> isomorphic, metamorphism, sophism
gap-pkg-gpd.src: W: spelling-error %description -l en_US isomorphisms -> isomorphic, metamorphism
2 packages and 0 specfiles checked; 0 errors, 21 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: Datei oder Verzeichnis nicht gefunden
gap-pkg-gpd.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
gap-pkg-gpd (rpmlib, GLIBC filtered):
    gap-core
    gap-pkg-fga



Provides
--------
gap-pkg-gpd:
    gap-pkg-gpd



Source checksums
----------------
http://pages.bangor.ac.uk/~mas023/chda/gpd/gpd-1.34.tar.gz :
  CHECKSUM(SHA256) this package     : b75555aa098bbb10c5b7496a2a610febb9e289c4dad128fe78f3c122dfa3e45f
  CHECKSUM(SHA256) upstream package : b75555aa098bbb10c5b7496a2a610febb9e289c4dad128fe78f3c122dfa3e45f


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1282132 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 2 Jens Lody 2015-11-20 17:15:06 EST
Looks good!

"88 files have unknown license" can be ignored, the license is clearly stated in the README and the LICENSE.txt.

rpmlint:
spelling errors are obviously false positives, the same is true for the only-non-binary-in-usr-lib.

Package approved !
Comment 3 Jerry James 2015-11-20 18:04:31 EST
Thanks for the review, Jens!
Comment 4 Gwyn Ciesla 2015-11-20 21:24:34 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/gap-pkg-gpd
Comment 5 Fedora Update System 2015-11-21 15:40:09 EST
gap-pkg-gpd-1.34-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-882c65febe
Comment 6 Fedora Update System 2015-11-22 09:24:53 EST
gap-pkg-gpd-1.34-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update gap-pkg-gpd'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-882c65febe
Comment 7 Fedora Update System 2015-11-30 16:21:17 EST
gap-pkg-gpd-1.34-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.